package supplier

import "context"

type ServiceProviderSupplier interface {
	ScimEndpoint() string
	Name() string
	StartSession(context.Context) error
	CloseSession() error
	InstallOrUpdate() error
	Enable() error
	GenerateCredentials() (string, string, error)
}

type spConfig struct {
	Host     string `validate:"required,url"`
	Username string `validate:"required"`
	Password string `validate:"required"`
	Version  string
	Name     string
}
